<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tp_products', function (Blueprint $table) {
            $table->id();
            $table->uuid("catalogIdentifier");
            $table->string('productId',10);
            $table->string('source',5);
            $table->json('flightSegment');
            $table->json('passengerFlight');
            $table->string('totalDuration',10);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tp_products');
    }
};
